from flask import Flask, request
from winotify import Notification
import urllib.parse
import win32gui
import os

app = Flask(__name__)

@app.route('/')
def main():
    # 访问路径
    full_path = request.full_path
    # 处理空格转为+的问题
    full_path = full_path.replace('+', ' ')

    # 接收到的内容
    content = str(
        urllib.parse.unquote(full_path.split("/?")[1])
    ).replace('+', ' ', 1)

    hwnd = win32gui.FindWindow("WeChatMainWndForPC", "微信")

    if win32gui.IsWindowVisible(hwnd) and not win32gui.IsIconic(hwnd):
        return "not push"
    else:
        title_name_check = "$$$" in content

        if title_name_check:
            nickname = content.split("$$$")[0]
            weixin_msg = content.split("$$$")[1]
        else:
            nickname = '微信消息通知'
            weixin_msg = content

        # 使用winotify发送通知
        toast = Notification(
            app_id="微信",
            title=nickname,
            msg=weixin_msg,
            icon=current_directory+r"\weixin.png"
        )
        toast.show()
        return "push ok"

# 在指定IP和端口开启HTTP服务
if __name__ == '__main__':
    host=input("请输入IP地址：")
    current_directory = os.getcwd()
    app.run(debug=False, host=host, port=9998)